cURL
curl --request GET \
--url https://app-api.aide.app/v1/agent-analytics/traces/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/agent-analytics/traces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/agent-analytics/traces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/agent-analytics/traces/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/agent-analytics/traces/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/agent-analytics/traces/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/agent-analytics/traces/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "agent_trace",
"name": "<string>",
"id": "<string>",
"externalId": "<string>",
"kind": "call",
"steps": [
{
"name": "<string>",
"value": 123,
"id": "<string>",
"status": "error",
"kind": "embedding",
"parentId": "<string>",
"error": "<string>",
"inputTokens": 123,
"outputTokens": 123,
"costUsd": 123,
"latencyMs": 123,
"startedAt": "<string>"
}
],
"integrationId": "<string>",
"outcome": "bad",
"theme": {
"name": "<string>",
"id": "<string>"
},
"feedback": "<string>",
"inputTokens": 123,
"outputTokens": 123,
"costUsd": 123,
"transcript": [
{
"content": "<string>",
"role": "assistant",
"toolName": "<string>"
}
],
"assessedAt": "<string>",
"endedAt": "<string>",
"errorCount": 123,
"failureKind": "loop",
"feedbackScore": 123,
"gapNeed": "<string>",
"gapType": "context",
"generationCount": 123,
"hasContent": true,
"inSample": true,
"latencyMs": 123,
"models": [
"<string>"
],
"startedAt": "<string>",
"stepCount": 123,
"toolCallCount": 123,
"toolErrorCount": 123,
"userGoal": "<string>",
"stepsTruncated": true,
"sessionId": "<string>",
"distinctId": "<string>",
"finalAnswer": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}AgentAnalytics
Get v1agent analyticstraces 1
GET
/
v1
/
agent-analytics
/
traces
/
{id}
cURL
curl --request GET \
--url https://app-api.aide.app/v1/agent-analytics/traces/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/agent-analytics/traces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/agent-analytics/traces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/agent-analytics/traces/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/agent-analytics/traces/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/agent-analytics/traces/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/agent-analytics/traces/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "agent_trace",
"name": "<string>",
"id": "<string>",
"externalId": "<string>",
"kind": "call",
"steps": [
{
"name": "<string>",
"value": 123,
"id": "<string>",
"status": "error",
"kind": "embedding",
"parentId": "<string>",
"error": "<string>",
"inputTokens": 123,
"outputTokens": 123,
"costUsd": 123,
"latencyMs": 123,
"startedAt": "<string>"
}
],
"integrationId": "<string>",
"outcome": "bad",
"theme": {
"name": "<string>",
"id": "<string>"
},
"feedback": "<string>",
"inputTokens": 123,
"outputTokens": 123,
"costUsd": 123,
"transcript": [
{
"content": "<string>",
"role": "assistant",
"toolName": "<string>"
}
],
"assessedAt": "<string>",
"endedAt": "<string>",
"errorCount": 123,
"failureKind": "loop",
"feedbackScore": 123,
"gapNeed": "<string>",
"gapType": "context",
"generationCount": 123,
"hasContent": true,
"inSample": true,
"latencyMs": 123,
"models": [
"<string>"
],
"startedAt": "<string>",
"stepCount": 123,
"toolCallCount": 123,
"toolErrorCount": 123,
"userGoal": "<string>",
"stepsTruncated": true,
"sessionId": "<string>",
"distinctId": "<string>",
"finalAnswer": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}